be.ehealth.businessconnector.mycarenet.memberdatacommons.exception

## Class MemberDataBusinessConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.businessconnector.mycarenet.memberdatacommons.exception.MemberDataBusinessConnectorException

- All Implemented Interfaces:
    Serializable

      public class MemberDataBusinessConnectorException
      extends ConnectorException

  Connector Exception for Member Data Sync Connector.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberDataBusinessConnectorException(MemberDataBusinessConnectorExceptionValues errorCodeValue, Object... params)` Creates a `MemberDataBusinessConnectorException` for given exceptionValue and parameters.

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberDataBusinessConnectorException

          public MemberDataBusinessConnectorException(MemberDataBusinessConnectorExceptionValues errorCodeValue,
                                                      Object... params)

      Creates a `MemberDataBusinessConnectorException` for given exceptionValue and parameters.
      Parameters:
        `errorCodeValue` - error code of the exception
        `params` - one or more parameters to be used in the error message

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.